<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';

$database = new Database();
$db = $database->getConnection();

// Handle POST request
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get the item data from the POST request
    $description = $_POST["description"];
    $longdescription = $_POST["longdescription"];
    $cost = $_POST["cost"];
    $price = $_POST["price"];
    $saleprice = $_POST["saleprice"];
    $quantity = $_POST["quantity"];
    $departmentID = $_POST["departmentID"];
    $categoryID = $_POST["categoryID"];
    $image = $_FILES["image"]["tmp_name"];
    $image_type = mime_content_type($image);

    // Set the appropriate file extension based on the MIME type
    switch ($image_type) {
        case "image/jpeg":
            $extension = "jpg";
            break;
        case "image/png":
            $extension = "png";
            break;
        case "image/gif":
            $extension = "gif";
            break;
        default:
            $extension = "jpg";
            break;
    }

    // Save the image to a file
    $filename = 'images/' . uniqid() . '.' . $extension; // Generate a unique filename with the appropriate extension
    move_uploaded_file($image, $filename);

    // Insert the item data into the item table
    $sql = "INSERT INTO item (description, longdescription, cost, price, saleprice, quantity, departmentID, categoryID) 
            VALUES ('$description', '$longdescription', '$cost', '$price', '$saleprice', '$quantity', '$departmentID', '$categoryID')";
    $db->query($sql);
    
    // Get the last insert ID
    $itemID = $db->lastInsertId();
    
    // Insert the item image into the itemimages table
    $sql = "INSERT INTO itemimages (pic1, itemID) 
            VALUES ('$filename', '$itemID')";
    $db->query($sql);
    
    // Return success response
    echo json_encode(["status" => "item saved"]);
}
?>
