<?php

header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once('../config/config.php');

$database = new Database();
$db = $database->getConnection();   

if ($_SERVER["REQUEST_METHOD"] == "GET") {
    $sql = "SELECT * FROM Orders WHERE Confirmed=1 AND Delivered=0";
    $stmt = $db->prepare($sql);
    $stmt->execute();
    $orders = $stmt->fetchAll(PDO::FETCH_ASSOC);

    echo json_encode($orders);
}
?>
