<?php
    class CustomerOrdersDetails{

        // Connection
        private $conn;

        // Table
        private $db_table = "OrdersEntry";

       
        // Columns
        public $ID;
        public $OrderID;
        public $ItemID;
        public $Cost;
        public $Price;
        public $FullPrice;
        public $Quantity;
        public $SalesTax;
        public $pic1;
        public $name;
        public $nowPrice;
        public $url;
         
        
        

       

        
        // Db connection
        public function __construct($db){
            $this->conn = $db;
        }

    
        // GET transactions
        public function getCustomerOrdersDetails(){           
        


$url = $this->url;


$sqlQuery = "SELECT OrdersEntry.*, CONCAT($url, item.ID, '/', productimages.pic1) AS pic1, item.description as name, inventorylocationitems.price AS nowPrice,inventorylocationitems.quantity AS nowQuantity
FROM OrdersEntry 
LEFT JOIN productimages ON OrdersEntry.itemID = productimages.itemID
LEFT JOIN item ON OrdersEntry.itemID = item.id
INNER JOIN inventorylocationitems ON OrdersEntry.itemID = inventorylocationitems.itemID
WHERE OrdersEntry.OrderID = ?";


           
            $stmt = $this->conn->prepare($sqlQuery);
              
            $stmt->bindParam(1, $this->OrderID);

            $stmt->execute();

            return $stmt;       
        }    
    }    

        ?>

