<?php
    class CustomerOrdersDetails{

        // Connection
        private $conn;

        // Table
        private $db_table = "new_ordersentry";

       
        // Columns
        public $ID;
        public $OrderID;
        public $ItemID;
        public $Cost;
        public $Price;
        public $FullPrice;
        public $Quantity;
        public $SalesTax;
        public $pic1;
        public $name;
        public $nowPrice;
        public $url;
        public $userid;
         
        
        

       

        
        // Db connection
        public function __construct($db){
            $this->conn = $db;
        }

    
        // GET transactions
        public function getCustomerOrdersDetails(){           
        

$url = $this->url;

// Query to fetch StoreID from Orders table based on OrderID
$queryStoreID = "SELECT CustomerID FROM new_orders WHERE OrderID = ?";
$stmtStoreID = $this->conn->prepare($queryStoreID);
$stmtStoreID->bindParam(1, $this->OrderID);



if ($stmtStoreID->execute()) {
if ($stmtStoreID->rowCount() > 0) {
    
      $storeIDResult = $stmtStoreID->fetch(PDO::FETCH_ASSOC);
   
    
    $customerID = $storeIDResult['CustomerID'];


            // Compare CustomerID with $userid
            if ($customerID == $this->userid) {
             

$sqlQuery = "SELECT new_ordersentry.*, CONCAT('$url',productimages.pic1) AS pic1, item.description as name, item.price AS nowPrice,item.quantity AS nowQuantity
FROM new_ordersentry 
LEFT JOIN productimages ON new_ordersentry.itemID = productimages.itemID
LEFT JOIN item ON new_ordersentry.itemID = item.id
WHERE new_ordersentry.OrderID = ?";


           
            $stmt = $this->conn->prepare($sqlQuery);
              
            $stmt->bindParam(1, $this->OrderID);
  

            $stmt->execute();

            return $stmt;   
              
            }else{
                
                  // Return an error indicating "forbidden"
                 return false;
                
            }
     $stmtStoreID->closeCursor();

    

}
}
        }    
    }    

        ?>

