<?php
    class Orders{

        // Connection
        private $conn;

        // Table
        private $db_table = "Orders";

        // Columns
        public $OrderID;
        public $CustomerID;
        public $tdatetime;
        public $Total;
        public $TotalWeight;
        public $PaymentOption;
        public $DeliveryOption;
        public $DeliveryRegion;
        public $StoreID;
        public $ItemID;
        public $Cost;
        public $Price;
        public $FullPrice;
        public $Quantity;
        public $SalesTax;
   
        

         // Db connection
        public function __construct($db){
            $this->conn = $db;
        }

    

    
        // GET all pending orders

        public function getPendingOrders(){           
        
            $sqlQuery = "SELECT * FROM Orders WHERE Confirmed='0'";
            
           
            $stmt = $this->conn->prepare($sqlQuery);
              
          
            $stmt->execute();

            return $stmt;       
        } 
        
        //function to get a specific order
            
            public function viewOrder(){           
        
                $sqlQuery = "SELECT * FROM Orders WHERE OrderID=?";
                       
                $stmt = $this->conn->prepare($sqlQuery);
                  
                $stmt->bindParam(1, $this->OrderID);
    
                $stmt->execute();
    
                return $stmt;       
            } 

    }    

        ?>

